A permutation-invariant code on $m$ qubits is a subspace of the symmetric subspace of the $m$ qubits. We derive permutation-invariant codes that can encode an increasing amount of quantum information while suppressing leading-order spontaneous decay errors. To prove the result, we use elementary number theory with prior theory on permutation-invariant codes and quantum error correction.
A permutation-invariant code on m qubits is a subspace of the symmetric subspace of the m qubits. We derive permutation-invariant codes that can encode an increasing amount of quantum information while suppressing leading-order spontaneous decay errors. To prove the result, we use elementary number theory with prior theory on permutation-invariant codes and quantum error correction.
A quantum code is a subspace of a Hilbert space of a physical system chosen to be correctable against a given class of errors, where information can be encoded. Ideally, the quantum code lies within the ground space of the physical system. When the physical model is the Heisenberg ferromagnet in the absence of an external magnetic field, the corresponding ground space contains all permutation-invariant states. We use techniques from combinatorics and operator theory to construct families of permutation-invariant quantum codes. These codes have length proportional to t2; one family of codes perfectly corrects arbitrary weight t errors, while the other family of codes approximately correct t spontaneous decay errors. The analysis of our codes' performance with respect to spontaneous decay errors utilizes elementary matrix analysis, where we revisit and extend the quantum error correction criterion of Knill and Laflamme, and Leung, Chuang, Nielsen and Yamamoto.
Quantum deletions, which are harder to correct than erasure errors, occur in many realistic settings. It is therefore pertinent to develop quantum coding schemes for quantum deletion channels. To date, not much is known about which explicit quantum error correction codes can combat quantum deletions. We note that any permutation-invariant quantum code that has a distance oft+1can correcttquantum deletions for any positive integertin both the qubit and the qudit setting. Leveraging on coding properties of permutation-invariant quantum codes under erasure errors, we derive corresponding coding bounds for permutation-invariant quantum codes under quantum deletions. We focus our attention on a specific family ofN-qubit permutation-invariant quantum codes, which we call shifted gnu codes. The main result of this work is that their encoding and decoding algorithms can be performed inO(N)andO(N2).
Quantum synchronisation errors are a class of errors that change the number of qubits in a quantum system. The classical error correction of synchronisation errors has been well-studied, including an insertion-deletion equivalence more than a half-century ago, but little progress has been made towards the quantum counterpart since the birth of quantum error correction. We address the longstanding problem of a quantum insertion-deletion equivalence on permutation-invariant codes, detailing the conditions under which such codes are t-insertion error-correctable. We extend these conditions to quantum insertion-deletion errors, formulating a more restrictive set of conditions under which permutation-invariant codes are (t,s)-insdel error-correctable. For completeness, we extend our approach to qudit errors on qudit permutation-invariant codes. Our work resolves many of the outstanding questions regarding the quantum error correction of synchronisation errors.
We present for the first time a general theory of error correction for permutation invariant (PI) codes. Using representation theory of the symmetric group we construct efficient algorithms that can correct any correctible error on any PI code. These algorithms involve measurements of total angular momentum, quantum Schur transforms or logical state teleportations, and geometric phase gates. For erasure errors, or more generally deletion errors, on certain PI codes, we give a simpler quantum error correction algorithm.
Recently, there has been growing interest in using quantum error correction in practical devices. A central issue in quantum error correction is the initialization of quantum data into a quantum error-correction code. Most studies have concentrated on generating quantum codes based on their encoding quantum circuits. However, this often leads to a large number of steps required in the initialization, and hence this process can be prone to errors. The purpose of this work is to demonstrate that permutation-invariant quantum error-correction codes can be created with high fidelity by exploiting their underlying symmetry. The code is initialized on multiple qubits that mutually interact or are themselves coupled to a quantum harmonic oscillator. We show that the so-called selective resonant interaction is derivable on such physical systems. By utilizing the selective resonant interaction, these highly symmetric codes may be rapidly generated with excellent fidelity. We also discuss the potential of initializing permutation-invariant quantum error-correction codes based on the state-of-art experimental techniques.
We investigate Permutation-Invariant (PI) quantum error-correcting codes encoding a logical qudit of dimension dL in PI states using physical qudits of dimension dP. We extend the Knill--Laflamme (KL) conditions for d−1 deletion errors from qubits to qudits and investigate numerically both qubit (dL=dP=2) and qudit (dL>2 or dP>2) PI codes. We analyze the scaling of the block length n in terms of the code distance d, and compare to existing families of PI codes due to Ouyang, Aydin--Alekseyev--Barg (AAB) and Pollatsek--Ruskai (PR). Our three main findings are: (i) We conjecture that qubit PI codes correcting up to d−1 deletion errors have block length n(d)≥(3d2+1)/4, which implies an upper bound d≤12n−3/3 on their code distance, and that PR codes can saturate this bound. (ii) For qudit PI codes encoding a single qudit we numerically observe that increasing dP results in n monotonically decreasing and approaching the quantum Singleton bound n(d)≥2d−1. (iii) We propose a semi-analytic extension of the qubit AAB construction to qudits that finds explicit solutions by solving a linear program. Our results therefore provide key insights into lower bounds on the block length scaling of both qubit and qudit PI codes, and demonstrate the benefit of increased physical local dimension in the context of PI codes.